@import "./colors";
@import "./mixins";

.login_wrapper{
    @include Baloo2;
    position: relative;
    height: 100%;
    min-height: 700px;
    .logo{
        background-color: $pink;
        height: 61px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    // form section css
    .FormWrapper{
        margin: 40px auto 16px;
        .Form{
            &__content{
                width: 440px;
                margin: 0 auto;
                height: 100%;
                min-height: 450px;  
            }
            &__MobNumbers, &__EmailSection {
                padding: 21px 16px;
                border-radius: 16px;
                margin-bottom: 16px;
            }

            &__GoogleLink{
                width: 100%;
                height: 54px;
                display: flex;
                align-items: center;
                justify-content: center;
                margin-bottom: 16px;
                border-radius: 16px;
                a{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    position: relative;
                    &::before {
                        content: url("../public/google-icon.svg");
                        width: 22px;
                        height: 22px;
                        margin-right: 9px;
                    }
                    &:hover{
                        color: $primary_4;
                    }
                }
            }

            &__EmailLink{
                width: 100%;
                height: 54px;
                display: flex;
                align-items: center;
                justify-content: center;
                margin-bottom: 24px;
                border-radius: 16px;
                a{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    &:before {
                        content: url("../public/email.svg");
                        width: 22px;
                        height: 22px;
                        margin-right: 9px;
                    }
                    &:hover{
                        color: $primary_4;
                    }
                }  
            }

            // edit mobile no
            &__edit_mbSection {
                display: flex;
                align-items: center;
                justify-content: space-between;
                a{
                    display: flex;
                }
                .mb_no {
                    border: 0;
                    height: 40px;
                    width: 100%;
                    @include body_small;
                    @include font-weight("semi_bold");
                    @include Baloo2;
                    &:focus-visible{
                        outline: 0;
                    }
                }
                
            }

            /* otp no section */
            &__EnterOTPSection {
                margin-top: 24px;
                
                input[type="text"]{
                    width: 64.67px;
                    height: 40px;
                    background-color: $light-grey;
                    border: 0;
                    border-radius: 8px;
                    padding: 8px 15px;
                    text-align: center;
                    margin: auto;
                    margin-right: 4px;
                    @include body_small;
                    @include font-weight(normal);
                    @include Baloo2;

                    &:last-child{
                        margin-right: 0 !important;
                    }
                }
            }

            // otp timer section
            &__OTPTimer{
                span{
                    display: block;
                    margin: 24px auto;
                }
            }

            // password section
            &__EnterPass{
                input{
                    width: 408px;
                    height: 48px;
                    background: $light-grey;
                    border-radius: 8px;
                    padding: 0 12px;
                    border: 0;
                    @include Baloo2;
                    &::-webkit-input-placeholder { /* WebKit, Blink, Edge */
                        color: $text_1;
                    }
                    &:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
                        color: $text_1;
                        opacity:  1;
                    }
                    &::-moz-placeholder { /* Mozilla Firefox 19+ */
                        color: $text_1;
                        opacity:  1;
                    }
                    &:-ms-input-placeholder { /* Internet Explorer 10-11 */
                        color: $text_1;
                    }
                    &::-ms-input-placeholder { /* Microsoft Edge */
                        color: $text_1;
                    }
                    &::placeholder { /* Most modern browsers support this now. */
                        color: $text_1;
                    }
                }
                i{
                    margin-left: -30px; 
                    cursor: pointer;
                }
            }

            // password section
            &__EnterEmail{
                display: flex;
                align-items: center;
                position: relative;
                input{
                    width: 408px;
                    height: 48px;
                    background: $light-grey;
                    border-radius: 8px;
                    padding: 0 12px;
                    border: 0;
                    @include Baloo2;
                    &::-webkit-input-placeholder { /* WebKit, Blink, Edge */
                        color: $text_1;
                    }
                    &:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
                        color: $text_1;
                        opacity:  1;
                    }
                    &::-moz-placeholder { /* Mozilla Firefox 19+ */
                        color: $text_1;
                        opacity:  1;
                    }
                    &:-ms-input-placeholder { /* Internet Explorer 10-11 */
                        color: $text_1;
                    }
                    &::-ms-input-placeholder { /* Microsoft Edge */
                        color: $text_1;
                    }
                    &::placeholder { /* Most modern browsers support this now. */
                        color: $text_1;
                    }
                }
                .edit_email {
                    border: 0;
                    height: 40px;
                    width: 100%;
                    background-color: transparent;
                    padding: 0;
                    @include body_small;
                    @include font-weight("semi_bold");
                    @include Baloo2;
                    &:focus-visible{
                        outline: 0;
                    }
                }
                span{
                    width: 100%;
                    #email{
                        width: 100%;
                    }
                }
                .edit_icon{
                    display: flex;
                    align-items: center;
                    position: absolute;
                    right: 10px;
                }
                i{
                    margin-left: -30px; 
                    cursor: pointer;
                }
            }
        }

        // signup form section css start
        .signup_Form{

            &__content{
                padding: 21px 16px;
                border-radius: 16px;
                margin-bottom: 16px;
            }
            &__EnterName{
                p{
                    margin-bottom: 2px;
                    span{
                        display: block;
                    }
                }
                
                input{
                    width: 408px;
                    height: 48px;
                    background: #F3F1F3;
                    border-radius: 8px;
                    padding: 0 12px;
                    border: 0;
                    font-family: "Baloo 2";
                }
            }
    
            &__EmailID{
                p{
                    margin-bottom: 2px;
                    span{
                        display: block;
                    }
                }
                
                input{
                    width: 408px;
                    height: 48px;
                    background: #F3F1F3;
                    border-radius: 8px;
                    padding: 0 12px;
                    border: 0;
                    font-family: "Baloo 2";
                }
            }
    
            &__MobileNo{
                p{
                    margin-bottom: 2px;
                    span{
                        display: block;
                    }
                }
                
                input{
                    width: 408px;
                    height: 48px;
                    background: #F3F1F3;
                    border-radius: 8px;
                    padding: 0 12px;
                    border: 0;
                    font-family: "Baloo 2";
                }
            }
    
            &__EnterPass{
                p{
                    margin-bottom: 2px;
                    span{
                        display: block;
                    }
                }
                
                input{
                    width: 408px;
                    height: 48px;
                    background: #F3F1F3;
                    border-radius: 8px;
                    padding: 0 12px;
                    border: 0;
                    font-family: "Baloo 2";
                }
                i{
                    margin-left: -30px;
                    cursor: pointer;
                }
            }
            
        }

        .signUp_link {
            display: flex;
            align-items: center;
            justify-content: center;
            a{
                text-transform: uppercase;
                margin-left: 10px;
            }
        }
        .SignUp{
            &__editEmailLink{
                margin: 0 auto;
                text-align: center;
                text-transform: uppercase;
            }
        }

        // signup form css section end

        // country section css start
        .countrySection {
            display: flex;
            align-items: center;
            justify-content: center; 
        }
    
        .valid_msg, .invalid_msg{
            color: $red;
            font-size: 12px;
        }
    
        #country{
            background-color: $light-grey;
            border-radius: 8px;
            padding: 12px;
            width: 96px;
            height: 48px;
            border: 0;
            color: $text_4;
            position: relative;
            margin-right: 8px;
            -webkit-appearance: none;
        }
        
        #output {
            width: 304px;
            height: 48px;
            background: $light-grey;
            border-radius: 8px;
            padding: 0 12px;
            border: 1px solid $text_1;
            color: $text_4;
            border: 0;
            @include Baloo2;
            &::-webkit-input-placeholder { /* WebKit, Blink, Edge */
                color: $text_1;
            }
            &:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
                color: $text_1;
                opacity:  1;
            }
            &::-moz-placeholder { /* Mozilla Firefox 19+ */
                color: $text_1;
                opacity:  1;
            }
            &:-ms-input-placeholder { /* Internet Explorer 10-11 */
                color: $text_1;
            }
            &::-ms-input-placeholder { /* Microsoft Edge */
                color: $text_1;
            }
            &::placeholder { /* Most modern browsers support this now. */
                color: $text_1;
            }
    
        }

        // country section css end

        

        // forgot pass section
        .forgot_pwd{
            margin-top: 24px;
            display: block;
            text-transform: capitalize;
            @include body_small;
            @include font-weight(semi_bold);
            @include Baloo2;
            &:hover{
                color: $primary_4;
            }
        }

        
        
    }

    // footer section
    .footerSection{
        position: relative;
        left: 0;
        right: 0;
        bottom: 0;
        padding-bottom: 16px;
        display: flex;
        flex-direction: column;
        ul{
            display: flex;
            justify-content: center;
            width: 100%;
            margin-bottom: 16px;
            li{
                margin-right: 30.5px;
                a{
                    display: flex;
                    width: 100%;
                    justify-content: center;
                    &:hover{
                        color: $primary_4;
                    }
                }
                &:last-child{
                    margin-right: 0;
                }
            }
        }
    }

    .google_privacy{
        &:hover{
            color: $primary_4;
        }
    }

    

    // .edit_email {
    //     display: flex;
    //     align-items: center;
    //     justify-content: space-between;
    //     a{
    //         display: flex;
    //     }
    //     .email {
    //         border: 0;
    //         height: 40px;
    //         width: 100%;
    //         @include body_small;
    //         @include font-weight("semi_bold");
    //         @include Baloo2;
    //         &:focus-visible{
    //             outline: 0;
    //         }
    //     }
        
    // }

    
   


    // login google form css start
    .googleForm{
        border: 1px solid $grey1;
        border-radius: 8px;
        &__header{
            // padding: 4px 16px;
            h4{
                display: flex;
                align-items: center;
                border-bottom: 1px solid $grey1;
                padding: 4px 16px;
                @include Roboto-font;
                span{
                    margin-left: 12px;
                }
                
            }
        }
        &__content{
            margin-top: 36px;
            h5{
                @include Roboto-font;
                color: $black1;
                p{
                    @include body_large;
                    @include font-weight(normal);
                    span{
                        color: $blue;
                    }
                }
            }
        }
        &__compLogo{
            display: flex;
            align-items: center;
            justify-content: center;
        }

        &__AccountsImgs{
            display: flex;
            // width: 28px;
            // height: 28px;
        }

        &__AccountsWrapper{
            ul{
                li{
                    cursor: pointer;
                    &:hover{
                        background-color: $primary_1;
                    }
                }
            }
        }

        &__AccountsDetails{
            display: flex;
            align-items: center;
            padding: 12px 41px;
            position: relative;
            &::after{
                content: "";
                border-bottom: 1px solid $grey1;
                position: absolute;
                left: 41px;
                right: 41px;
                bottom: 0;
            }
        }

        &__AccountsName{
            margin-left: 12px;
            h6{
                @include body_small;
                @include font-weight(medium);
                @include Roboto-font;
            }
            p{
                @include label_large;
                @include font-weight(normal);
                @include Roboto-font;
            }
        }

        &__AccountsDescp{
            margin: 41px 0 39px;
            padding: 0 41px;
            p{
                @include body_small;
                @include font-weight(medium);
                @include Roboto-font;
                a{
                    color: $blue;
                }
            }
            
        }
    }
    

    // .Signup__edit_email{
    //     margin: 0 auto;
    //     text-align: center;
    //     text-transform: uppercase;
    // }
    
}








/* responsive css start */

/* Large devices (desktops, 992px and up) */
// @media (min-width: 992px)and (max-width: 1400.98px){
//     .login_formFooter {
//         bottom: -4%;
//     }
// }

 /* Medium devices (tablets, 768px and up) */
// @media (min-width: 768px) and (max-width: 991.98px){
//     .login_formFooter {
//         bottom: -2%;
//     }
// }

/* Small devices (landscape phones, 576px and up) */
// @media (min-width: 576px) and (max-width: 767.98px){
//     .login_formContent{
//         width: 360px;
//     }
//     .otp-btn{
//         width: 328px;
//         height: 48px;
//     }

//     .loginPass_btn{
//         width: 328px;
//         height: 48px;
//     }
//     .login_formFooter{
//         bottom: -5%;
//         display: flex;
//         flex-direction: column;
//     }
// }

/* Extra small devices (portrait phones, less than 576px) */
// @media (max-width: 575.98px){
//     .login_formContent{
//         width: 288px;
//     }

//     .login_formFooter{
//         bottom: -5%;
//         padding-bottom: 20px;
//     }

//     .otp-btn{
//         width: 256px;
//         height: 48px;
//     }

//     .loginPass_btn{
//         width: 256px;
//         height: 48px;
//     }
    
// }
